import request from '@/utils/request'

// 查询工单记录单明细列表
export function listMesPwoRecordDetail(query) {
	return request({
		url: '/mes/mesPwoRecordDetail/list',
		method: 'get',
		params: query
	})
}

// 查询工单记录单明细详细
export function getMesPwoRecordDetail(id) {
	return request({
		url: '/mes/mesPwoRecordDetail/' + id,
		method: 'get'
	})
}

// 新增工单记录单明细
export function addMesPwoRecordDetail(data) {
	return request({
		url: '/mes/mesPwoRecordDetail',
		method: 'post',
		data: data
	})
}

// 修改工单记录单明细
export function updateMesPwoRecordDetail(data) {
	return request({
		url: '/mes/mesPwoRecordDetail',
		method: 'put',
		data: data
	})
}

// 删除工单记录单明细
export function delMesPwoRecordDetail(id) {
	return request({
		url: '/mes/mesPwoRecordDetail/' + id,
		method: 'delete'
	})
}